﻿body, html {
    margin: 0;
    border: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    font-family: Arial;
}

#form1 {
    height: 100%;
}

h1 {
    font-size: 1.5em;
}

h2 {
    font-size: 1.25em;
}

#MainBody {
    display: flex;
    width: 100%;
    height: 100%;
    flex-direction: column;
}

#MainHeader {
    display: flex;
    flex-direction: row;
    height: 7em;
    padding: 1.5em 0;
    justify-content: space-between;
}

#MainHeaderKopf {
    flex: 1;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

#MainHeaderLogo {
    flex: 0 0 auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0 1.5em;
}

#MainHeaderKopfzeile {
    flex: 1;
    padding: 0 1.5em;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#MainHeaderKopfzeileUnterLogo {
    display: none;
}

#MainHeaderLogo > img {
    max-height: 6em;
    max-width: 14em;
}

#MainHeaderMenue {
    display: flex;
    flex-direction: row;
    gap: 1em;
}

#MainHeaderMenueButtons {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    padding: 0 1.5em;
    gap: 0.5em;
}

#MainHeaderMenueLanguage {
    display: none;
    flex-direction: row;
    gap: 1em;
    align-items: center;
}

#MainHeaderMenueLanguage img {
    width: 30px;
}


#MainContent {
    flex: 1;
    padding: 1.5em;
    overflow: auto;
}

.inFrame #MainContent {
    padding: 0;
}

#MainFooter {
    display: flex;
    flex-direction: row;
}

#MainFooterFusszeile {
    flex: 1;
}

#MainFooterPowered {
    background-color: #f3f3f3;
    padding: 1em 1.5em;
    color: #666;
    display: block;
    text-align: center;
    margin: 0;
}

.gridFull {
    height: 100%;
}

.Aktionaerstabelle, .Abstimmuebersichtstabelle {
    border: 1px solid black;
    border-spacing: 0;
}

    .Aktionaerstabelle td, .Aktionaerstabelle th, .Abstimmuebersichtstabelle td, .Abstimmuebersichtstabelle th {
        padding: 5px;
        text-align: left;
        border: 1px solid black;
    }

    .Aktionaerstabelle th, .Abstimmuebersichtstabelle th {
        background-color: darkgray;
        color: white;
    }

.RadButton .rbIcon::before {
    display: inline-block;
    font: 24px/1 "WebComponentsIcons" !important;
}

.RadButton .rbIcon {
    width: 24px !important;
    height: 24px !important;
}

.abstandDarunter {
    margin-bottom: 10px;
}

.ausschlussTOP {
    color: #ccc !important;
}

.topNoDisplay {
    display: none;
}

.eksListView, .gksListView {
    display: flex;
    flex-wrap: wrap;
}



.ekFieldset {
    min-width: 340px;
    max-width: 500px;
    display: flex;
    margin-top: 1.2em;
    flex-wrap: wrap;
    display: flex;
    flex-direction: column;
}

    .ekFieldset span {
        width: 100%;
    }

.RadComboBox {
    width: 298px !important;
}

.rblArtAuswahl {
    display: flex;
}

.ekFlexCombo {
    display: flex;
    flex-direction: row;
    align-items: baseline;
    padding: 5px;
    box-sizing: border-box;
    justify-content: space-between;
}

.ekFlexArtAuswahl {
    display: flex;
    justify-content: center;
}

.ekFieldset:disabled * {
    opacity: 0.9;
    cursor: not-allowed;
}

.ekFieldset:disabled {
    background: #EEEEEE;
    cursor: not-allowed;
}

.cbLand {
    display: flex !important;
}

.ekField {
    width: 220px;
    display: flex;
}

.eksFehler {
    color: red;
    font-size: 90%;
}

.topColumn {
    width: 34px;
}

ul.hormenu li a:hover {
    background-color: #ddd;
}

ul.hormenu li a {
    display: block;
    color: #666;
    text-align: center;
    padding: 1em 1.5em;
    text-decoration: none;
}

ul.hormenu li {
    float: left;
}

ul.hormenu {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background-color: #f3f3f3;
}

.modalDialog {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: rgba(0,0,0,0.8);
    z-index: 99999;
    opacity: 0;
    -webkit-transition: opacity 400ms ease-in;
    -moz-transition: opacity 400ms ease-in;
    transition: opacity 400ms ease-in;
    pointer-events: none;
}

    .modalDialog:target {
        opacity: 1;
        pointer-events: auto;
    }

    .modalDialog > div {
        width: 400px;
        position: relative;
        margin: 10% auto;
        padding: 5px 20px 13px 20px;
        border-radius: 10px;
        background: #fff;
    }

.modalDialogClose {
    background: #606061;
    color: #FFFFFF;
    line-height: 25px;
    position: absolute;
    right: -12px;
    text-align: center;
    top: -10px;
    width: 24px;
    text-decoration: none;
    font-weight: bold;
    -webkit-border-radius: 12px;
    -moz-border-radius: 12px;
    border-radius: 12px;
    -moz-box-shadow: 1px 1px 3px #000;
    -webkit-box-shadow: 1px 1px 3px #000;
    box-shadow: 1px 1px 3px #000;
}

    .modalDialogClose:hover {
        background: #00d9ff;
    }

.lblError {
    display: block !important;
}

.gestellteWiderspruecheGrid {
    width: 100% !important;
}

.gestellteFragenGrid {
    width: 100% !important;
}

.fragen_table_erstellzeit {
    width: 7em;
}

.fragen_table_inhalt {
    word-break: break-word;
}

.fragen_table_name {
    width: 12em;
    max-width: 12em;
}

.widersprueche_table_erstellzeit {
    width: 7em;
}

.widersprueche_table_inhalt {
    word-break: break-word;
}

.gestellteTabelleDruckenButton {
    width: 24px;
}


.gestellteWiderspruecheGrid tr:first-child td {
    padding-top: 0.5em;
}


.gestellteFragenGrid td {
    vertical-align: top;
}

.gestellteFragenGrid tr:first-child td {
    padding-top: 0.5em;
}

.gestellteTabelleDruckenButton, .gestellteTabelleDeleteButton {
    padding-top: 0.5em;
}

.aktNummer {
    display: none;
}

#StreamContent {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
}

.deleted {
    text-decoration: line-through;
}

.rgRow:hover, .rgAltRow:hover {
    background-color: #AAAAAA !important;
}

.alleNein {
    display: none !important;
}

.alleEnthaltung {
    display: none !important;
}

.menuItemText {
    cursor: pointer;
}

    .menuItemText.menuItemDeactivated {
        cursor: default;
        color: #AAAAAA;
    }

.hauptmenue_table_zugangsnummer {
    display: none;
}

.widerspruchEditor {
    font-size: 18px;
    height: 10em;
    width: 100%;
}

.reveal-eye {
    position: relative;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    position: absolute;
    right: 1px;
    top: 1px;
    bottom: 1px;
    z-index: 2;
    width: 30px;
    background: url(images/reveal-password_closed.png) 50% 50% no-repeat;
    cursor: pointer;
    visibility: hidden;
    opacity: 0;
    transition: opacity .2s ease 0s,visibility 0s linear .2s;
}

    .reveal-eye.is-visible {
        display: block;
        visibility: visible;
        opacity: 1;
        transition: opacity .2s ease 0s,visibility 0s linear 0s;
    }

    .reveal-eye.is-open {
        background: url(images/reveal-password_open.png) 50% 50% no-repeat;
    }

#ctl00_ContentPlaceHolderMain_txtCode {
    padding-right: 30px;
}

#UploadPanel .ruOverallProgress {
    display: none;
}


.webCamOverlay {
    position: relative;
}

    .webCamOverlay > video {
        display: none;
    }

    .webCamOverlay:before {
        box-sizing: border-box;
        content: '';
        color: #fff;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-image: url(./images/lokale_webcam.jpg);
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center;
    }

.remoteSupportOverlay {
    position: relative;
}

    .remoteSupportOverlay > video {
        display: none;
    }


    .remoteSupportOverlay:before {
        box-sizing: border-box;
        content: '';
        color: #fff;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-image: url(./images/support.jpg);
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center;
    }

.remoteStreamAllOverlay {
    position: relative;
}

    .remoteStreamAllOverlay > video {
        display: none;
    }

    .remoteStreamAllOverlay:before {
        box-sizing: border-box;
        content: '';
        color: #fff;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-image: url(./images/stream_normal.jpg);
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center;
    }

.remoteStreamSpeakerOverlay {
    position: relative;
}

    .remoteStreamSpeakerOverlay > video {
        display: none;
    }

    .remoteStreamSpeakerOverlay:before {
        box-sizing: border-box;
        content: '';
        color: #fff;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-image: url(./images/stream_speaker.jpg);
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center;
    }

.mainApp.mainContent {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
}

.mainApp #menuPane {
    width: 0;
    height: 100%;
    padding-right: 0.5em;
    transition: 1s;
}

.mainAppIntroText:has(.RadLabel:empty) {
    display: none;
}

.mainAppOutroText:has(.RadLabel:empty) {
    display: none;
}

.mainApp.menuOpened #menuPane {
    width: 75%;
}

.mainApp #appIframe {
    width: 100%;
    height: 100%;
    background: white;
    margin: 0;
    padding: 0;
    border: 0;
    overflow: hidden;
    box-sizing: border-box;
    flex: 1;
}

.mainApp #splitter {
    width: 40px;
    height: 100%;
    background: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 1s;
    border-right: 0;
    border-left: 3px solid black;
}

.mainApp.menuOpened #splitter {
    border-left: 0;
    border-right: 3px solid black;
}

.wmActive .mainApp #splitter {
    display: none;
}

.mainApp #splitButtonHolder {
    background: black;
    border-radius: 10px 10px 0 0;
    color: white;
    transition: 1s;
    border: 3px solid black;
    cursor: pointer;
}

.mainApp.menuOpened #splitButtonHolder {
    border-radius: 0 0 10px 10px;
}

.mainApp #splitButton {
    padding: 0.5em;
    white-space: nowrap;
    transition: 1s;
}

.mainApp .closedText {
    display: block;
}

.mainApp .openedText {
    display: none;
}

.mainApp.menuOpened .closedText {
    display: none;
}

.mainApp.menuOpened .openedText {
    display: block;
}

.mainApp #videoPane {
    flex: 1;
    padding-left: 0.5em;
    display: flex;
    flex-direction: column;
    gap: 1em;
    width: 100%;
    height: 100%;
}

.wmActive .mainApp #videoPane {
    display: none;
}

.mainApp .videocontent {
    width: 100%;
    height: 100%;
    flex: 1;
    overflow: hidden;
}

.mainApp .videodiv {
    width: 100%;
    height: 100%;
    position: relative;
    overflow: hidden;
}

.mainApp #remoteVideo {
    width: 100%;
    height: 100%;
    object-fit: contain;
}
/*
@media only screen and (max-device-height: 400px), screen and (max-device-width: 600px) {
    .mainApp .menuOpened #menuPane {
        width: calc(100% - 1px);
    }
}*/

@media screen and (orientation: landscape) {
    .mainApp #splitButtonHolder {
        transform: rotate(90deg);
    }
}


@media screen and (orientation: portrait) {
    .mainApp.mainContent {
        flex-direction: column;
    }

    .mainApp #menuPane {
        width: 100%;
        height: 0;
        padding: unset;
        padding-bottom: 0.5em;
    }

    .mainApp.menuOpened #menuPane {
        height: 75%;
        width: 100% !important;
    }

    .mainApp #splitter {
        height: 40px;
        width: 100%;
        border: unset;
        border-bottom: 0;
        border-top: 3px solid black;
    }

    .mainApp #videoPane {
        font-size: 0.6em;
    }

    .mainApp.menuOpened #splitter {
        border: unset;
        border-top: 0;
        border-bottom: 3px solid black;
    }

    .mainApp #splitButtonHolder {
        border-radius: 0 0 10px 10px;
    }

    .mainApp.menuOpened #splitButtonHolder {
        border-radius: 10px 10px 0 0;
    }


    .mainApp #videoPane {
        padding: unset;
        padding-top: 0.5em;
    }

    #contentDiv {
        flex-direction: column;
    }


}

.stellungnahme_stellungnahme_column {
    max-height: 40em;
}

.wmTypeDiv .rbRadioButton {
    display: flex !important;
    align-items: flex-start;
    text-align: left;
}


.hauptmenue_menue {
    display: grid;
    gap: 1em;
}




.hauptmenue_menue_group {
    display: grid;
    gap: 0.5em;
    background: #EEEEEE;
    border-radius: 0.5em;
    padding: 0.5em 0 0.5em 0;
}

.hauptmenue_menue_group:has(.hauptmenue_menue_group_header) {
    padding: 0 0 0.5em 0;
}


.hauptmenue_menue_group_header {
    background: lightblue;
    padding: 0.5em;
    border-radius: 0.5em;
    font-size: 1.4em;
}

.hauptmenue_menue_group_list {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 0.5em;
}

.hauptmenue_menue_group_list_entry .menuItemText {
    display: grid;
    grid-template-rows: 1fr 1fr 1fr;
    grid-template-areas: 
        "header"
        "icon"
        "description"
    ;
    background: lightgray;
    border-radius: 0.5em;
    padding: 1em;
    width: 8em;
    aspect-ratio: 1/1;
}


.hauptmenue_menue_group_list_entry:hover .menuItemText {
    background: grey;
}

.hauptmenue_menue_group_list_entry .menuItemText img {
    grid-area: icon;
    max-width: 40%;
    justify-self: center;
    align-self: center;
    padding: 0.5em 0;
}

.hauptmenue_menue_group_list_entry .menuItemText .hm_option_header {
    font-size: 1.2em;
    text-align: center;
    grid-area: header;
}

.hauptmenue_menue_group_list_entry .menuItemText .hm_option_description {
    font-size: 0.8em;
    text-align: center;
    grid-area: description;
    align-self: end;
}


@media print {
    @page {
        size: portrait;
    }

    .no-print, .no-print * {
        display: none !important;
    }

    .print, .print * {
        display: block !important;
    }

    #MainBody {
        display: block;
    }

    #MainHeader {
        padding-bottom: 0;
        height: 4em;
    }

    .WeisViewCollection {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        flex-wrap: wrap;
        margin: -1em;
    }

    .WeisViewCollection p {
        margin: 1em;
    }
}


@media only screen and (max-height: 600px) {
    #MainBody {
        /*display: block;*/
    }

    #MainHeader {
        height: unset;
        padding: 0.5em 0;

    }

    #MainFooter {
        /*display: block;*/
        font-size: 80%;
    }

    #MainContent {
        padding: 0.5em;
    }

    ul.hormenu li a {
        padding: 0.5em 1.5em;
    }

    #MainFooterPowered {
        padding: 0.5em 1.5em;
    }

    .RadButton {
        min-height: 3em;
    }

    .rgDataDiv {
        height: unset !important;
    }

    #contentDiv {
        height: unset !important;
        overflow: unset !important;
    }
}

